package org.bitbucket.bradleysmithllc.etlagent.informatica.provider;

import org.bitbucket.bradleysmithllc.etlagent.informatica.dto.RemoteFile;

import java.util.List;
import java.util.Map;

public class InformaticaExecutionResult
{
	private final Map<RemoteFile.fileType, List<RemoteFile>> workSpaceFiles;
	private final String failureExc;


	public InformaticaExecutionResult(Map<RemoteFile.fileType, List<RemoteFile>> workSpaceFiles, String failureExc) {
		this.workSpaceFiles = workSpaceFiles;
		this.failureExc = failureExc;
	}

	public Map<RemoteFile.fileType, List<RemoteFile>> getWorkSpaceFiles() {
		return workSpaceFiles;
	}

	public String getFailureExc() {
		return failureExc;
	}
}